<template>
    <div>
        <div>
            <ui-radio-group v-model="selectedMonth" group-name="cryptocurrencyNetwork" class="flex gap-4 flex-wrap mb-4">
                <ui-radio-button v-for="(month, index) in monthFilterRange" :key="index" :label="month.MonthRange"
                    @change="getStatmentByMonth(month)">
                    <ui-check-button :text="month.MonthRange" variant="TEXT_ONLY" class="min-w-[147px] left-select" style="
                  --height: 48px;
                  --content-padding: 0 1rem;
                  --border-radius: 0.5rem;
                " />
                </ui-radio-button>
            </ui-radio-group>
            <el-scrollbar>
                <div class="rounded-lg" :class="{ 'border-table-wrapper': statementList.length }">
                    <el-table v-loading="isDataLoading" border :data="statementList" height=" 510" class="winlose-desktop">
                        <template #empty>
                            <lazy-utils-not-found />
                        </template>
                        <el-table-column :label="$t('date')" min-width="100" align="left" header-align="center">
                            <template #default="scope">
                                <span>{{ scope.row.DateForDisplay }}</span>
                            </template>
                        </el-table-column>
                        <el-table-column :label="$t('winlose')" header-align="center" align="right">
                            <template #default="scope">
                                <span :class="`fc-${scope.row.TotalColorForDisplay}`">{{
                                    scope.row.TotalCommas
                                }}</span>
                            </template>
                        </el-table-column>
                        <el-table-column :label="$t('commission')" align="right" header-align="center">
                            <template #default="scope">
                                <span>{{ scope.row.CommissionCommas }}</span>
                            </template>
                        </el-table-column>
                    </el-table>
                </div>
            </el-scrollbar>
        </div>
    </div>
    <div class="flex items-center time-notice-footer mt-4">
        <el-icon class="mx-1">
            <clock />
        </el-icon>
        <p>{{ $t("All_transactions_are_time_stamped_at_GMT-4") }}</p>
    </div>
</template>
  
<script lang="ts" setup>
import { Clock } from "@element-plus/icons-vue";
import commonHelper from "@/utils/commonHelper";
import { store } from "~~/store";
import { useStatement } from "@/composables/statement";
definePageMeta({ alias: "/transaction-history" });

const {
    statementList,
    monthFilterRange,
    getStatmentByMonth,
    selectedMonth,
    isDataLoading,
} = useStatement();
const { getAssetImage } = commonHelper;
</script>
<style scoped>
.win-lose-mobile :deep(.check-btn__check) {
    right: 0.5rem;
}
</style>
  